cl.cromer.estructuras

## Class ArbolNodo

- java.lang.Object
- - cl.cromer.estructuras.ArbolNodo

    public final class ArbolNodo
    extends java.lang.Object

Clase de estructura de nodos del arbol.

Author:
  Chris Cromer

### Field Summary

Fields
`private ArbolNodo` `derecha` El hijo a la derecha.
`private ArbolNodo` `izquerda` El hijo a la izquerda.
`private ArbolNodo` `padre` El padre del nodo.
`private int` `valor` El valor del nodo.
`private int` `x` La posición del nodo en el plano carteseano.

### Constructor Summary

Constructors
Constructor and Description
`ArbolNodo(int valor)` Incilizar.

### Method Summary

All Methods Instance Methods Concrete Methods
`ArbolNodo` `getDerecha()` Devolver el hijo derecho.
`ArbolNodo` `getIzquerda()` Devolver el hijo izquerdo.
`ArbolNodo` `getPadre()` Devolver el padre.
`int` `getValor()` Devolver el valor del nodo.
`int` `getX()` Devolver la coordinada X del nodo.
`void` `setDerecha(ArbolNodo derecha)` Cambiar el hijo derecho.
`void` `setIzquerda(ArbolNodo izquerda)` Devolver el hijo izquerdo.
`void` `setPadre(ArbolNodo padre)` Cambiar padre.
`void` `setX(int x)` Cambiar la coordinada x del nodo.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### padre

    private ArbolNodo padre

El padre del nodo.

#### izquerda

    private ArbolNodo izquerda

El hijo a la izquerda.

#### derecha

    private ArbolNodo derecha

El hijo a la derecha.

#### valor

    private int valor

El valor del nodo.

#### x

    private int x

La posición del nodo en el plano carteseano.

### Constructor Detail

#### ArbolNodo

    public ArbolNodo(int valor)

Incilizar.

Parameters:
  `valor` - int: El valor del nodo.

### Method Detail

#### getPadre

    public ArbolNodo getPadre()

Devolver el padre.

Returns:
  ArbolNodo: El padre.

#### setPadre

    public void setPadre(ArbolNodo padre)

Cambiar padre.

Parameters:
  `padre` - ArbolNodo: El padre nuevo.

#### getIzquerda

    public ArbolNodo getIzquerda()

Devolver el hijo izquerdo.

Returns:
  ArbolNodo: El hijo.

#### setIzquerda

    public void setIzquerda(ArbolNodo izquerda)

Devolver el hijo izquerdo.

Parameters:
  `izquerda` - ArbolNodo: El hijo nuevo.

#### getDerecha

    public ArbolNodo getDerecha()

Devolver el hijo derecho.

Returns:
  ArbolNodo: El hijo.

#### setDerecha

    public void setDerecha(ArbolNodo derecha)

Cambiar el hijo derecho.

Parameters:
  `derecha` - ArbolNodo: El hijo neuvo.

#### getValor

    public int getValor()

Devolver el valor del nodo.

Returns:
  int: El valor.

#### getX

    public int getX()

Devolver la coordinada X del nodo.

Returns:
  int: La coordinada x.

#### setX

    public void setX(int x)

Cambiar la coordinada x del nodo.

Parameters:
  `x` - int: La nueva coordinada x.